Bug 537005 - Failed to hot remove NIC card after migration in RHEL guest.
Failed to hot remove NIC card after migration in RHEL guest.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Naphtali Sprei
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2009-11-12 02:01 EST by Qunfang Zhang
Modified: 2013-01-09 17:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 05:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Qunfang Zhang 2009-11-12 02:01:24 EST
Description of problem:
After migrate the RHEL guest to destination host, I tried to hot remove the pci device (NIC card). But it failed with some message in dmesg of guest(please look at the additional info).
And this issue does not exist in windows guest.

CLI:
/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -smp 2 -m 2048 -drive file=/mnt/RHEL-Server-5.4-32.raw,media=disk,if=ide,index=0 -net nic,macaddr=00:1a:4a:10:20:5f,vlan=0,model=rtl8139 -net tap,vlan=0,script=/etc/qemu-ifup -uuid 75e6b75d-a8fd-4024-bae4-a0daa5dace9c -cpu qemu64,+sse2 -boot c -monitor stdio -vnc :10

Version-Release number of selected component (if applicable):
host kernel:2.6.18-164.6.1.el5
kvm-83-135.el5 and also kvm-83-105.el5_4.10

How reproducible:
100%

Steps to Reproduce:
1.Launch a guest on source host with above command line.
2.Migrate it to destination host.
3.In guest's terminal: #modprobe acpiphp
4.On qemu monitor: 
(qemu)info pci
(qemu)pci_del pci_addr=3
(qemu)info pci
  
Actual results:
The NIC card can not be removed from guest after migration.

Expected results:
The NIC card can be removed successfully.

Additional info:
#dmesg (in guest)
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
acpiphp_glue: can't get bus number, assuming 0
decode_hpp: Could not get hotplug parameters. Use defaults
acpiphp: Slot [1] registered
acpiphp: Slot [2] registered
acpiphp: Slot [3] registered
acpiphp: Slot [4] registered
acpiphp: Slot [5] registered
acpiphp: Slot [6] registered
acpiphp: Slot [7] registered
acpiphp: Slot [8] registered
acpiphp: Slot [9] registered
acpiphp: Slot [10] registered
acpiphp: Slot [11] registered
acpiphp: Slot [12] registered
acpiphp: Slot [13] registered
acpiphp: Slot [14] registered
acpiphp: Slot [15] registered
acpiphp: Slot [16] registered
acpiphp: Slot [17] registered
acpiphp: Slot [18] registered
acpiphp: Slot [19] registered
acpiphp: Slot [20] registered
acpiphp: Slot [21] registered
acpiphp: Slot [22] registered
acpiphp: Slot [23] registered
acpiphp: Slot [24] registered
acpiphp: Slot [25] registered
acpiphp: Slot [26] registered
acpiphp: Slot [27] registered
acpiphp: Slot [28] registered
acpiphp: Slot [29] registered
acpiphp: Slot [30] registered
acpiphp: Slot [31] registered

Host info(4 cpus, here only list one):
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
stepping	: 10
cpu MHz		: 2826.231
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr sse4_1 lahf_lm
bogomips	: 5652.33
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

Note You need to log in before you can comment on or make changes to this bug.